%define	name	ksudoku
%define	oname	KSudoku
%define	version	0.4
%define	release	%mkrel 1
%define	Summary	KSudoku - Play, create and solve sudoku grids

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Group:		Games/Puzzles
License:	GPL
URL:		http://ksudoku.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	kdelibs-devel 
BuildRequires:  mesaglu-devel 
BuildRequires:  ImageMagick
BuildRequires:  cmake

%description
The word Sudoku means "single number in an alloted place" in Japanese. These 
are the basic rules. Every sudoku Sudoku is a square of 81 cells divided into 
9 columns and 9 rows and in 9 subsquares (3x3) of 9 cells each. Solving takes 
usually from 10 to 30 minutes, depending on puzzle level, your skill and 
experience.

Some cells are filled with a number at the beginnning: the remaining are to 
be filled by the player using numbers from 1 to 9, without repeating a number 
twice on each column, row or subsuquare (each of them must contain only 
one 1, one 2, one 3, and so on). The game requires logic and patience.
The numerals in Sudoku puzzles are used for convenience (for example in 16x16 
board we use letters): arithmetic relationships between numbers are irrelevant.

This program supports also 16x16 games with numbers from 1 to 16 and 256 
cells with 16 cols, rows and subsquares! (if normal sudoku are not enough for 
you).

More information at http://en.wikipedia.org/wiki/Sudoku

%files
#-f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}*
%{_datadir}/applications/kde/ksudoku.desktop
%dir %{_datadir}/apps/ksudoku
%{_datadir}/apps/ksudoku/*.xml
%{_datadir}/config/ksudokurc
%{_datadir}/apps/%{name}/%{name}ui.rc
%{_iconsdir}/hicolor/*/apps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

#--------------------------------------------------------------------
%prep
%setup -q

%build
mkdir build
cd build

cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if %{_lib} == lib64
        -DLIB_SUFFIX=64 \
%endif
../


%make

%install
rm -rf %{buildroot}
cd build
make DESTDIR=%buildroot install
desktop-file-install	--vendor="" \
			--remove-category="Application" \
			--add-category="Qt" \
			--add-category="Game" \
			--add-category="LogicGame" \
			--add-category="X-MandrivaLinux-MoreApplications-Games-Puzzles" \
			--dir %{buildroot}%{_datadir}/applications/kde %{buildroot}%{_datadir}/applications/kde/*

install -m644 ../src/hi16-app-ksudoku.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 ../src/hi32-app-ksudoku.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -d %{buildroot}%{_liconsdir}
convert ../src/hi32-app-ksudoku.png -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png

#%find_lang %{name}

%clean
rm -rf %{buildroot}


%changelog
* Fri Apr 27 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.4-1mdv2008.0
+ Revision: 18450
- Fix Spec file
- New version

  + Mandriva <devel@mandriva.com>


* Tue Sep 12 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-11 12:13:01 (60871)
- Really fix typo

* Tue Sep 12 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-11 11:54:35 (60864)
- Fix typo

* Tue Aug 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com>
+ 2006-08-28 10:08:59 (58357)
- fix summary macro used in menu
- fix icons
- wipe out buildroot before installing
- cosmetics

* Wed Aug 23 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-22 07:13:05 (57467)
- Fix the fix for the menu

* Wed Aug 23 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-22 05:57:56 (57455)
- Fix XDG menu entry

* Fri Aug 04 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 03:50:16 (43148)
- import ksudoku-0.3-5mdv2007.0

* Fri Jun 30 2006 Guillaume Bedot <littletux@mandriva.org> 0.3-5mdv2007.0
- xdg menu
- standard %%{1}mdv2007.0
- less scary description

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-4mdk
- Fix BuildRequires
- Fix Build for x86_64

* Thu Dec 15 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-3mdk
- Fix BuildRequires ( kdelibs-devel )

* Wed Nov 09 2005 Guillaume Bedot <littletux@mandriva.org> 0.3-2mdk
- Fix menu entry

* Sun Oct 16 2005 Guillaume Bedot <littletux@mandriva.org> 0.3-1mdk
- First Mandriva package of ksudoku for contribs

